Bug 977805 - Starting JBoss Administration Console from start menu is not working on Solaris
Starting JBoss Administration Console from start menu is not working on Solaris
Status: VERIFIED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity medium
: DR4
: EAP 6.4.0
Assigned To: Thomas Hauser
Petr Kremensky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 07:13 EDT by Petr Kremensky
Modified: 2015-10-05 22:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Due to a gvfs-open issue on Solaris, start menu shortcuts for the Administration Console on Solaris do not work for a JBoss EAP 6 instance that has been installed using the installer. From JBoss EAP 6.4 and onwards, start menu shortcuts for the Administration Console will not be created for JBoss EAP 6 instances that have been installed using the installer on Solaris. The Administration Console can be accessed directly in a web browser. If configured with the default ports, the URLs for the Administration Console are below: For standalone mode: http://localhost:8080/console For domain mode: http://localhost:9990/console
Story Points: ---
Clone Of:
Environment:
Solaris
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-06-25 07:13:35 EDT
Start menu shortcuts for JBoss Administration Console have Exec set to:
standalone  - Exec=xdg-open http://localhost:8080/console
domain      - Exec=xdg-open http://localhost:9990/console
but both commands fail on solaris with "Error showing url: HTTP Error: Method Not Allowed" message, only "xdg-open http://localhost:8080" works for me
Comment 1 Jyoti Tripathi 2013-06-26 11:02:44 EDT
This seems to be a limitation of Solaris. xdg-open is calling gvfs-open as it should, and gvfs-open is reporting those errors. It looks like Solaris has versions of these software that are a few years old. Currently our shortcuts are identical for all unix based systems, but we can separate the Solaris ones if needed. Unfortunately I am not able to find a working alternative command that I know will be installed on our supported versions of Solaris by default. If no alternative exists, we might just have to stop supporting these shortcuts on Solaris.
Comment 2 Scott Mumford 2013-08-28 23:49:53 EDT
Marking for exclusion from the 6.1.1 Release Notes document as an entry for this bug could not be completed or verified in time.
Comment 6 Thomas Hauser 2014-07-04 10:33:32 EDT
Per Jyoti's comment above, this is a fundamental issue with solaris. The only option we have is to not create these shortcuts on solaris. If this is the direction we should go, please let us know by Monday July 7. Thanks!
Comment 7 Petr Kremensky 2014-07-07 03:33:17 EDT
Hi Tom,
since this seems to be the only solutions please go on with the change and exclude the administration shortcuts on Solaris.
Comment 8 Ahmed Abu Lawi 2014-09-26 14:35:39 EDT
Hi Petr,

I've looked into excluding these specific shortcuts for only Solaris but IzPack doesn't allow you to exclude a shortcut based on OS, it only allows you to install a shortcut if a specific pack is also installed.

So at this point unless we add functionality to izpack we may have to exclude shorcuts from Solaris installs to avoid the broken shortcuts.
Comment 9 Petr Kremensky 2014-09-30 02:58:58 EDT
Hi Ahmed,
can you please try to make the fix on izpack if this is possible? If not, we would have to exclude them from Solaris as you said and add this into documentation.
Comment 10 Ahmed Abu Lawi 2014-09-30 14:08:20 EDT
Hi Petr,

I'll see if I can modify the izpack shortcut spec to accept a flag that can be used to prevent a shortcut from being created based on the operating system.
Comment 11 Ahmed Abu Lawi 2014-09-30 17:41:35 EDT
I've modified izpack to accept an attribute in the installers Shortcut Spec. Using this I've disabled the two shortcuts in Solaris.
Comment 12 Petr Kremensky 2014-10-01 01:07:46 EDT
Great, thanks for effort.
Comment 13 Petr Kremensky 2014-10-22 04:44:14 EDT
Verified on EAP 6.4.0.DR4 installer.

Note You need to log in before you can comment on or make changes to this bug.